package com.pcloud.common.core.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 
 * @描述：发邮件dto
 * @作者：zhuyajie
 * @创建时间：2016年11月30日 上午10:19:06
 * @版本：1.0
 */
public class SendEmailDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 8026368438145316971L;
	/**
	 * 接收方邮件地址
	 */
	private String toEmail;
	/**
	 * typeCode
	 */
	private String typeCode;
	/**
	 * 内容
	 */
	private Map<String, Object> content;
	/**
	 * 附件
	 */
	private List<Map<String, Object>> file;
	/**
	 * 发件人昵称
	 */
	private String nickName;
	public String getToEmail() {
		return toEmail;
	}
	public void setToEmail(String toEmail) {
		this.toEmail = toEmail;
	}
	public String getTypeCode() {
		return typeCode;
	}
	public void setTypeCode(String typeCode) {
		this.typeCode = typeCode;
	}
	public Map<String, Object> getContent() {
		return content;
	}
	public void setContent(Map<String, Object> content) {
		this.content = content;
	}
	public List<Map<String, Object>> getFile() {
		return file;
	}
	public void setFile(List<Map<String, Object>> file) {
		this.file = file;
	}
	public String getNickName() {
		return nickName;
	}
	public void setNickName(String nickName) {
		this.nickName = nickName;
	}
	@Override
	public String toString() {
		return "SendEmailDto [toEmail=" + toEmail + ", typeCode=" + typeCode + ", content=" + content + ", file=" + file
				+ ", nickName=" + nickName + "]";
	}

	
}
